function [t,u]=elpath(phi,the)

if nargin<2 the=0; end;
if nargin<1 phi=pi/6; end;

tspan=0:0.01:1;
v=1;
vx=v*cos(phi);
vy=v*sin(phi)*cos(the);
vz=v*sin(phi)*sin(the);
u0=[0 0 0 vx vy vz];

[t,u]=ode45(@lorentz,tspan,u0);

function dudt=lorentz(t,ut)
B=[2*pi;0;0];
dudt=[ut(4:6);cross(ut(4:6),B)];
