function coupled(phi1,phi2)
% coupled oscillations

if nargin<1, phi1=pi/12; end;
if nargin<2, phi2=-phi1; end;

Connect([-4 -1 0],[10 -1 0],0.2,[0 0.3 0]);
hold on;
Connect([-4 0 -12],[10 0 -12],0.5,[0 0.3 0]);
A0=[0 0 0];
B0=[6 0 0];
A1=A0-4*[sin(phi1) 0 cos(phi1)];
B1=B0-4*[sin(phi2) 0 cos(phi2)];
Pendulum(A0,phi1,[1 0.2 0.2]);
Pendulum(B0,phi2,[0.2 0.2 1]);
Spring(A1,B1,0.5,0.5,2);
view(0,0);
hold off;
set(gcf,'Color',0.95*[1 1 1]);
