function F=coupledmov(mode)
% movie of coupled oscillations

if nargin<1, mode='Sym'; end;
if lower(mode(1))=='s',
    n = 40; A = 0; B = pi/18;
elseif lower(mode(1))=='a',
    n = 48; A = pi/18; B = 0;
else
    n = 240; A = pi/36; B = A;
end;

for k=1:n
    phi1=A*sin(k*pi/24)+B*sin(k*pi/20);
    phi2=A*sin(k*pi/24)-B*sin(k*pi/20);
    Coupled(phi1,phi2);
    F(k)=getframe;
end;

if nargout==0,
    movie2avi(F,'coupled.avi','quality',95);
end;
